"""The main module that runs {term}`GSO`."""
from orchestrator import OrchestratorCore
from orchestrator.cli.main import app as core_cli
from orchestrator.settings import AppSettings

import gso.products  # noqa: F401
import gso.workflows  # noqa: F401

app = OrchestratorCore(base_settings=AppSettings())

if __name__ == "__main__":
    core_cli()
